@import 'tailwindcss/base';
@import 'tailwindcss/components';
@import 'tailwindcss/utilities';
@import '~ngx-toastr/toastr';
/* You can add global styles to this file, and also import other style files */

/* Fonts */

@font-face {
  font-family: 'Inter';
  font-style:  normal;
  font-weight: 500;
  font-display: swap;
  src: url("/assets/font-files/Inter-Medium.ttf") format("ttf"),
  url("/assets/font-files/Inter-Medium.ttf") format("ttf");
}

@font-face {
  font-family: 'Inter';
  font-style:  normal;
  font-weight: 400;
  font-display: swap;
  src: url("/assets/font-files/Inter-Regular.ttf") format("ttf"),
  url("/assets/font-files/Inter-Regular.ttf") format("ttf");
}

@font-face {
  font-family: 'Inter';
  font-style:  normal;
  font-weight: 600;
  font-display: swap;
  src: url("/assets/font-files/Inter-SemiBold.ttf") format("ttf"),
  url("/assets/font-files/Inter-SemiBold.ttf") format("ttf");
}


html,
body {
  font-family: 'Inter',  Helvetica, sans-serif;
  @apply h-screen;
}
.bg-light {
  background-color: #F4F5FA;
}
.bg-dark {
  background-color: #16111F;
}

.text-light {
  color: #16111F;
}


:root .ngneat-dialog-hidden {
  overflow: hidden !important;
}


.ngx-dates-picker-calendar-container {
  z-index: 1;
}

:root .day-background-upper {
  color: black !important;
}

/* ngx-charts-gauge */
:root .legend-labels {
  text-align: center !important;
  overflow-x: auto !important;
}

/* Toast */
.toast-success {
  background-color: #5E61E1;
}

.toast-error {
  background-color: #FF4564;
}
